OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.CopyImage

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBCopyImage :: MonadIO m => m Bool
- gl_ARB_copy_image :: Bool
- glCopyImageSubData :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBCopyImage :: MonadIO m => m Bool Source #

Is the ARB_copy_image extension supported?

gl_ARB_copy_image :: Bool Source #

Is the ARB_copy_image extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBCopyImage` in those cases instead.

# Functions

glCopyImageSubData Source #

Arguments

:: MonadIO m |
=> GLuint | `srcName`.
-> GLenum | `srcTarget` of type CopyImageSubDataTarget.
-> GLint | `srcLevel`.
-> GLint | `srcX`.
-> GLint | `srcY`.
-> GLint | `srcZ`.
-> GLuint | `dstName`.
-> GLenum | `dstTarget` of type CopyImageSubDataTarget.
-> GLint | `dstLevel`.
-> GLint | `dstX`.
-> GLint | `dstY`.
-> GLint | `dstZ`.
-> GLsizei | `srcWidth`.
-> GLsizei | `srcHeight`.
-> GLsizei | `srcDepth`.
-> m () |

Manual page for OpenGL 4.x.